.top-menu {
    display: flex;
    width: 100%;
    background: #0f172a; /* สีพื้นหลังแถบเมนู (น้ำเงินเข้ม) */
    border-radius: 4px;
    overflow: hidden; /* ⭐ ทำให้ปุ่มติดกันเนียน */
    margin-bottom:10px;
}

    .top-menu .menu-item {
        flex: 1;
        text-align: center;
        padding: 12px 0;
        background: #1e293b; /* สีปุ่มปกติ */
        color: #e5e7eb;
        font-weight: 600;
        text-decoration: none;
        border-right: 1px solid #0f172a; /* เส้นคั่นบาง ๆ */
        transition: background .2s ease;
    }

        /* ปุ่มสุดท้าย ไม่ต้องมีเส้น */
        .top-menu .menu-item:last-child {
            border-right: none;
        }

        .top-menu .menu-item:hover {
            background: #334155;
        }

        .top-menu .menu-item.active {
            background: #facc15; /* เหลืองเด่น */
            color: #000;
        }
@media (max-width:580px) {
    .slider {
        max-height: 160px; /* กันสูงเกิน */
    }
    .slider-arrow {
        width: 23px;
        height: 23px;
        font-size: 10px;
        background-color:transparent;
        box-shadow:none;
    }
    .top-menu a {
        font-weight: 600;
        font-size: 9px;
    }
    .post-content h1 {
        font-size: 12px;
    }
    .post-content img {
        max-width:80vw !important;
    }
    #navbar img {
        width:100px;
    }
    #navbar .btn-login {
        right:0;
    }
    #navbar .btn-login {
        font-size: 12px;
    }
    .top-menu {
        margin-top:-30px;
        width: 100vw;
        margin-left: calc(50% - 50vw);
    }
}
@media (max-width:768px) {
    .menu-item {
        font-weight: 100;
        font-size: 12px;
    }
    .post-content h1 {
        font-size: 20px;
    }
}

@media (min-width:768px) {
    .container {
        max-width: 90vw
    }
}

@media (min-width:992px) {
    .container {
        max-width: 90vw
    }
}

@media (min-width:1200px) {
    .container {
        max-width: 1140px
    }
}